
CREATE TABLE DB_CONNECTION (
	CONNECTION_ID NUMBER(18) NOT NULL,
	DB_NAME VARCHAR2(1000) NOT NULL,
	DB_TYPE VARCHAR2(50) NOT NULL,
	NAME VARCHAR2(255) NOT NULL,
	OWNER VARCHAR2(50),
	DB_PASSWORD VARCHAR2(50),
	DB_PORT NUMBER(10),
	DB_SERVER VARCHAR2(100),
	DB_USER VARCHAR2(50),
	ADO_CONNECTION_STRING VARCHAR2(2000),
	JDBC_CONNECTION_STRING VARCHAR2(2000),
  PROPERTIES VARCHAR (1000),
	USER_ID NUMBER(18)
)
;

ALTER TABLE DB_CONNECTION ADD CONSTRAINT PK_CONNECTION
	PRIMARY KEY (CONNECTION_ID)
;
